﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class TreeView_DataBindTable : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        RadTreeView1.NodeTemplate = new CheckBoxTemplate();
        base.OnInit(e);
    }


    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadTreeView2.DataSource = CreateRootNodes();
            RadTreeView2.DataFieldID = "ID";
            RadTreeView2.DataFieldParentID = "ParentID";
            RadTreeView2.DataTextField = "Text";
            RadTreeView2.DataBind();


        }
    }

     class CheckBoxTemplate : ITemplate
    {
        public void InstantiateIn(Control container)
        {
            Label label1 = new Label();
            label1.ID = "ItemLabel";
            label1.Text = "Text";
            label1.Font.Size = 10;
            label1.Font.Bold = true;
            label1.DataBinding += new EventHandler(checkbox_DataBinding);
            container.Controls.Add(label1);
        }

        private void checkbox_DataBinding(object sender, EventArgs e)
        {
            Label target = (Label)sender;
            RadTreeNode node = (RadTreeNode)target.BindingContainer;
            string nodeText = (string)DataBinder.Eval(node, "Text");
            target.Text = nodeText;
        }
    }

    protected void RadTreeView2_NodeDataBound(object sender, RadTreeNodeEventArgs e)
    {
        if (e.Node.Level == 0)
        {

        }
        else
        {
            CheckBoxTemplate template = new CheckBoxTemplate();
            template.InstantiateIn(e.Node);
        }
    }

    private DataTable CreateRootNodes()
    {
        DataTable table1 = new DataTable();
        table1.Columns.Add("ID");
        table1.Columns.Add("ParentID");
        table1.Columns.Add("Text");
        table1.Rows.Add(new string[] { "1", null, "root 1" });
        table1.Rows.Add(new string[] { "2", null, "root 2" });
        table1.Rows.Add(new string[] { "3", null, "root 3" });
        table1.Rows.Add(new string[] { "4", "1", "root 4" });
        table1.Rows.Add(new string[] { "5", "1", "root 5" });
        table1.Rows.Add(new string[] { "6", "1", "root 6" });
        table1.Rows.Add(new string[] { "7", "2", "root 7" });
        table1.Rows.Add(new string[] { "8", "2", "root 8" });
        return table1;
    }
   
}